php-imap Requires: libc-client.so.2007()(64bit) error on centos

php

HI All, this document deals with php-imap Requires: libc-client.so.2007()(64bit) error on centos. I have faced this error during the installation of PHP-IMAP on one of the servers. After googling found this issue is happening due to dependency with the libc-client package which is not installed in my centos machine. Fix Step 1: Download and install the rpm package based on your Linux distribution from the below link https://www.rpmfind.net/linux/rpm2html/search.php?query=libc-client.so.2007()(64bit) In my case it is centos 6 , so I have chosen this package https://www.rpmfind.net/linux/centos/6.10/os/x86_64/Packages/libc-client-2007e-11.el6.x86_64.rpm Install the package yum install https://www.rpmfind.net/linux/centos/6.10/os/x86_64/Packages/libc-client-2007e-11.el6.x86_64.rpm step…

Read More

PHP Fatal error: Uncaught Error: Call to undefined function curl_init()

php

Hi all, this document deals with how to fix the error “PHP Fatal error: Uncaught Error: Call to undefined function curl_init()”. This is an exception by PHP when it detects the required plugin is missing. Here the missing PHP library is curl. Step 1: check your PHP version.   Expected output Step 2: Now you can see the PHP version is 7.2 using Step 3: Now install the dependency packages such as gd and ImageMagick Step 4: choose the package for your version. For Ubuntu For Centos   Step 5: …

Read More

The server doesn’t have ImageMagick or GD installed and/or enabled

php

The above error occurs when you tires to resize any image uploaded to WordPress. Here are the steps to resolve the above issue. Step 1: Identify the version of PHP used in your system. You can this by executing below command Step 2: Now you can see the PHP version is 7.2 using Step 3: Now install the dependency packages such as gd and ImageMagick Step 4: choose the package for your version. For Ubuntu For centos Here is the sample output from Centos/RHEL Step 5: Installing the package Imagick…

Read More

php code scanner rips

php code scanner-rips Hi Techrunnr readers, this document deals with how to install php code scanner rips. RIPS is an open source static code analyzing tool for automatic detection of security vulnerabilities in PHP. It’s easy to install and do the test. Here are the features of RIPS Code scanner detect XSS, SQLi, File disclosure, LFI/RFI, RCE vulnerabilities and more 5 verbosity levels for debugging your scan results mark vulnerable lines in source code viewer highlight variables in the code viewer user-defined function code by mouse-over on detected call active…

Read More

how to install php in solaris 11

php

How to install php in solaris 11. Hi All, Today we will show you how to install php in solaris 11. PHP: Hypertext Preprocessor is a server-side scripting language designed for Web development, but also used as a general-purpose programming language Solaris is a Unix operating system originally developed by Sun Microsystems. It superseded their earlier SunOS in 1993. In 2010, after the Sun acquisition by Oracle, it was renamed Oracle Solaris Prerequisites Installed apache in solaris, if not go through this link. Download latest php version from the following…

Read More